Search List
Search list
Back to API Reference
/Lists Endpoints
POST
/twitter/list/searchAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/jsonquerystringrequiredThe query to search for.
target_countintegerrequiredThe number of lists to search.
Responses
200A list of list objects.
codeintegerrequiredThe status code of the response.
msgstringrequiredThe message of the response.
dataListModel[]requiredA list of list objects.
Show propertiesHide properties
Array of
ListModelidstringrequiredThe ID of the list
namestringrequiredThe name of the list
descriptionstringrequiredThe description of the list
is_privatebooleanrequiredWhether the list is private
member_countintegerrequiredThe number of members in the list
subscriber_countintegerrequiredThe number of subscribers in the list
422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOSTLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)
This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.
🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X POST "https://api.twexapi.io/twitter/list/search" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"query": "string",
"target_count": 0
}'const response = await fetch("https://api.twexapi.io/twitter/list/search", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"query": "string",
"target_count": 0
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/list/search",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"query": "string",
"target_count": 0
},
)Response
{
"code": 0,
"msg": "string",
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"is_private": true,
"member_count": 0,
"subscriber_count": 0
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}